# rundeck_acl_policy – Manage Rundeck ACL policies

New in version 2.4.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, update and remove Rundeck ACL policies through HTTP API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_version - | Default: 14 | Sets the API version used by module. API version must be at least 14.
name - / required |  | Sets the project name.
policy - |  | Sets the ACL policy content. ACL policy content is a YAML object as described in http://rundeck.org/docs/man5/aclpolicy.html. It can be a YAML string or a pure Ansible inventory YAML object.
project - |  | Sets the project which receive the ACL policy. If unset, it's a system ACL policy.

state
-

Choices:
- present ←
- absent

Create or remove Rundeck project.

token - / required |  | Sets the token to authenticate against Rundeck API.
url - / required |  | Sets the rundeck instance URL.

## Examples

    - name: Create or update a rundeck ACL policy in project Ansible
      rundeck_acl_policy:
        name: "Project_01"
        api_version: 18
        url: "https://rundeck.example.org"
        token: "mytoken"
        state: present
        project: "Ansible"
        policy:
          description: "my policy"
          context:
            application: rundeck
          for:
            project:
              - allow: read
          by:
            group: "build"

    - name: Remove a rundeck system policy
      rundeck_acl_policy:
        name: "Project_02"
        url: "https://rundeck.example.org"
        token: "mytoken"
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | success | Dictionary containing ACL policy informations after modification.
before dictionary | success | Dictionary containing ACL policy informations before modification.
rundeck_response string | failed | Rundeck response when a failure occurs.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.